Bug 1171146 - missing patterns for ppc64le microos and kubic isos
missing patterns for ppc64le microos and kubic isos
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: MicroOS
Current
PowerPC Other
: P5 - None : Normal (vote)
: ---
Assigned To: Richard Brown
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-05 07:56 UTC by Michel Normand
Modified: 2021-11-03 20:47 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2log_microos_ppc64le_missing_patterns.log.gz (516.78 KB, application/gzip)
2020-05-05 07:56 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2020-05-05 07:56:54 UTC
Created attachment 837390 [details]
y2log_microos_ppc64le_missing_patterns.log.gz

missing patterns for ppc64le microos and kubic isos

I am testing for the first time the microos/kubic isos for TW ppc64le (1)
and both failed at install time with missing pattern error in y2log.

=== extract of attached y2log_microos_ppc64le_missing_patterns.log.gz
2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866 Mandatory pattern microos_base does not exist
2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866 Mandatory pattern microos_defaults does not exist
2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866 Mandatory pattern microos_hardware does not exist
2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866 Mandatory pattern microos_apparmor does not exist
2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866 Mandatory pattern container_runtime does not exist
===

I did not found references of patterns in related kiwi files (2)
But related pattern packages seem to be properly built (3)

I assume there is something missing, but do not know what/where.


(1) https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/000product:openSUSE-MicroOS-dvd5-dvd-ppc64le

(2) https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/000product/openSUSE-MicroOS-dvd5-kubic-dvd-ppc64le.kiwi?expand=1
    https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/000product/openSUSE-MicroOS-dvd5-dvd-ppc64le.kiwi?expand=1

(3) https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/patterns-microos
    https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/patterns-containers
Comment 1 Richard Brown 2020-05-05 08:28:34 UTC
(In reply to Michel Normand from comment #0)
> Created attachment 837390 [details]
> y2log_microos_ppc64le_missing_patterns.log.gz
> 
> missing patterns for ppc64le microos and kubic isos
> 
> I am testing for the first time the microos/kubic isos for TW ppc64le (1)
> and both failed at install time with missing pattern error in y2log.
> 
> === extract of attached y2log_microos_ppc64le_missing_patterns.log.gz
> 2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866
> Mandatory pattern microos_base does not exist
> 2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866
> Mandatory pattern microos_defaults does not exist
> 2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866
> Mandatory pattern microos_hardware does not exist
> 2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866
> Mandatory pattern microos_apparmor does not exist
> 2020-05-04 15:32:42 <3> install(2939) [Ruby] modules/Packages.rb:1866
> Mandatory pattern container_runtime does not exist
> ===
> 
> I did not found references of patterns in related kiwi files (2)
> But related pattern packages seem to be properly built (3)
> 
> I assume there is something missing, but do not know what/where.
> 
> 
> (1)
> https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/000product:
> openSUSE-MicroOS-dvd5-dvd-ppc64le
> 
> (2)
> https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/
> 000product/openSUSE-MicroOS-dvd5-kubic-dvd-ppc64le.kiwi?expand=1
>    
> https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/
> 000product/openSUSE-MicroOS-dvd5-dvd-ppc64le.kiwi?expand=1
> 
> (3)
> https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/patterns-
> microos
>    
> https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/patterns-
> containers

Kubic / MicroOS have no support for ppc64le currently

If someone wishes to change that, probably the first starting point would be to update https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/000package-groups/groups.yml?expand=1 to include the architecture for the opensuse_microos and opensuse_kubic groups
Comment 2 Swamp Workflow Management 2020-05-05 13:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1171146) was mentioned in
https://build.opensuse.org/request/show/800366 Factory / 000package-groups
Comment 3 Michel Normand 2020-05-15 10:50:05 UTC
The changes made by previous sr#800366 in groups.yml is not sufficient because reported uninstallable patterns in https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/000product/opensuse_microos.group?expand=1 as per grep output below.

For bootloader may be need to add "grub2-powerpc-ieee1275 [ppc64le]" in groups.yml for opensuse_microos: & opensuse_kubic:
But why not present for dvd: ?

I do not know what to change to solve:
requires pattern() = basesystem

Any suggestions ?


===
$grep -Hn uninstallable openSUSE\:Factory\:PowerPC/000product/opensuse_microos.group
openSUSE:Factory:PowerPC/000product/opensuse_microos.group:10:    <!-- kernel-default uninstallable: nothing provides this-is-only-for-build-envs needed by dummy-release-15-2.1.ppc64-->
openSUSE:Factory:PowerPC/000product/opensuse_microos.group:757:    <!-- patterns-containers-container_runtime uninstallable: package patterns-containers-container_runtime-5.0-21.1.ppc64le requires pattern() = basesystem, but none of the providers can be installed-->
openSUSE:Factory:PowerPC/000product/opensuse_microos.group:761:    <!-- patterns-microos-base uninstallable: package patterns-microos-base-5.0-16.1.ppc64le requires pattern() = bootloader, but none of the providers can be installed-->
openSUSE:Factory:PowerPC/000product/opensuse_microos.group:763:    <!-- patterns-microos-defaults uninstallable: package patterns-microos-defaults-5.0-16.1.ppc64le requires pattern() = microos_base, but none of the providers can be installed-->
openSUSE:Factory:PowerPC/000product/opensuse_microos.group:764:    <!-- patterns-microos-desktop-gnome uninstallable: nothing provides libicui18n.so.66()(64bit) needed by libmozjs-68-68.7.0-3.1.ppc64le-->
===
Comment 4 Richard Brown 2020-05-20 12:33:32 UTC
(In reply to Michel Normand from comment #3)
> The changes made by previous sr#800366 in groups.yml is not sufficient
> because reported uninstallable patterns in
> https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/
> 000product/opensuse_microos.group?expand=1 as per grep output below.
> 
> For bootloader may be need to add "grub2-powerpc-ieee1275 [ppc64le]" in
> groups.yml for opensuse_microos: & opensuse_kubic:
> But why not present for dvd: ?
> 
> I do not know what to change to solve:
> requires pattern() = basesystem
> 
> Any suggestions ?
> 
> 
> ===
> $grep -Hn uninstallable
> openSUSE\:Factory\:PowerPC/000product/opensuse_microos.group
> openSUSE:Factory:PowerPC/000product/opensuse_microos.group:10:    <!--
> kernel-default uninstallable: nothing provides this-is-only-for-build-envs
> needed by dummy-release-15-2.1.ppc64-->
> openSUSE:Factory:PowerPC/000product/opensuse_microos.group:757:    <!--
> patterns-containers-container_runtime uninstallable: package
> patterns-containers-container_runtime-5.0-21.1.ppc64le requires pattern() =
> basesystem, but none of the providers can be installed-->
> openSUSE:Factory:PowerPC/000product/opensuse_microos.group:761:    <!--
> patterns-microos-base uninstallable: package
> patterns-microos-base-5.0-16.1.ppc64le requires pattern() = bootloader, but
> none of the providers can be installed-->
> openSUSE:Factory:PowerPC/000product/opensuse_microos.group:763:    <!--
> patterns-microos-defaults uninstallable: package
> patterns-microos-defaults-5.0-16.1.ppc64le requires pattern() =
> microos_base, but none of the providers can be installed-->
> openSUSE:Factory:PowerPC/000product/opensuse_microos.group:764:    <!--
> patterns-microos-desktop-gnome uninstallable: nothing provides
> libicui18n.so.66()(64bit) needed by libmozjs-68-68.7.0-3.1.ppc64le-->
> ===

I dont know, do you have any divergence in your patterns-base from regular Factory?
Comment 5 Michel Normand 2020-05-20 14:23:44 UTC
(In reply to Richard Brown from comment #4)
> 
> I dont know, do you have any divergence in your patterns-base from regular
> Factory?

Thank you Richard for the answer, but looking at Provides/Recommends/Requires of 
patterns-base-base & patterns-base-basesystem rpms for x86_64 and ppc64le (1)
do not show differences.

(1) rpms from patterns-base:
https://build.opensuse.org/package/binaries/openSUSE:Factory/patterns-base/standard
https://build.opensuse.org/package/binaries/openSUSE:Factory:PowerPC/patterns-base/standard
Comment 6 OBSbugzilla Bot 2020-05-20 15:20:08 UTC
This is an autogenerated message for OBS integration:
This bug (1171146) was mentioned in
https://build.opensuse.org/request/show/807751 Factory / 000package-groups
Comment 7 Richard Brown 2020-07-03 13:45:10 UTC
Hi Michel, how's this bug going along?

https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/000product:openSUSE-MicroOS-dvd5-dvd-ppc64le

makes me think you might have fixed it.. so if I dont hear anything from you soon I'll be tempted to close this bug as resolved by you :)
Comment 8 Michel Normand 2020-07-03 14:02:03 UTC
(In reply to Richard Brown from comment #7)
> Hi Michel, how's this bug going along?
> 
> [CUT] ...

The problem related to this bug is still alive.
I am stuck on the investigation.

My problem is to understand how to solve "patterns-microos-base uninstallable"
and similar failures reported in:
https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/000product/opensuse_microos.group?expand=1
https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/000product/opensuse_kubic.group?expand=1
Comment 9 Richard Brown 2020-07-13 17:49:25 UTC
(In reply to Michel Normand from comment #8)
> (In reply to Richard Brown from comment #7)
> > Hi Michel, how's this bug going along?
> > 
> > [CUT] ...
> 
> The problem related to this bug is still alive.
> I am stuck on the investigation.
> 
> My problem is to understand how to solve "patterns-microos-base
> uninstallable"
> and similar failures reported in:
> https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/
> 000product/opensuse_microos.group?expand=1
> https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/
> 000product/opensuse_kubic.group?expand=1

I think I figured it out! Finally :)

the bootloader pattern is failing to install because it requires the following on all architectures EXCEPT s390x

Requires:       (grub2-branding-openSUSE if branding-openSUSE)

and we are installing branding-openSUSE.

In the sources of branding-openSUSE, we only create grub2-branding-openSUSE for the following architectures

%ifarch %{arm} aarch64 %{ix86} x86_64 ppc ppc64

NOTE the absence of ppc64le? :)

I propose 2 possible solutions

- If branding is not required, then edit patterns-base so the bootloader pattern doesn't require grub2-branding-openSUSE for ppc64le just like it doesn't for s390x

- If branding is required (and given we build it for ppc/ppc64 I suspect it is) then I'd propose changing branding-openSUSE to build grub2-branding-openSUSE for ppc64le just like every other architecture :)

Michel, I volunteer to do the work for either solution, I've spent so long digging into this it feels personal now, but I leave the decision as to which solution to go for to you.

- Rich :)
Comment 10 Michel Normand 2020-07-15 06:25:23 UTC
Thank you Richard for the deep analyzing,
I am in favor of your solution to have branding for ppc64le.
I let you do the work as proposed.
Comment 11 Michel Normand 2020-07-15 06:48:32 UTC
(In reply to Michel Normand from comment #10)
> Thank you Richard for the deep analyzing,
> I am in favor of your solution to have branding for ppc64le.
> I let you do the work as proposed.

Hum, after reading the spec file https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerPC/branding-openSUSE/branding-openSUSE.spec?expand=1
===
%description -n grub2-branding-%{theme_name}
%{theme_name} %{theme_version_clean} branding for the GRUB2's graphical console
===

I am not sure this is really required as grub2 menu for PowerPC is not a graphical one. so probably useless for them.
example on openQA: https://openqa.opensuse.org/tests/1332559#step/grub_test/1

so finally suggest to not have grub2 branding that mean select your first solution:
"- If branding is not required, then edit patterns-base so the bootloader pattern doesn't require grub2-branding-openSUSE for ppc64le just like it doesn't for s390x"
Comment 12 Richard Brown 2020-07-22 14:25:07 UTC
sr#822266 on the way :)
Comment 13 Michel Normand 2020-07-29 16:41:14 UTC
(In reply to Richard Brown from comment #12)
> sr#822266 on the way :)

thank you for correction.

Now able to install openSUSE-MicroOS-DVD-ppc64le
So closing this bug.

I am starting openQA tests locally for ppc64le before to do it later on o3.
Comment 14 OBSbugzilla Bot 2020-10-20 11:10:08 UTC
This is an autogenerated message for OBS integration:
This bug (1171146) was mentioned in
https://build.opensuse.org/request/show/842796 Factory / patterns-base